给Kali安装中文输入法

发布于 2021-03-20  62 次阅读


1.更新源

apt-get update && apt-get upgrade

但是遇到下面问题

下列软件包有未满足的依赖关系:
 fcitx-baidupinyin : 依赖: fcitx-bin 但是它还没有被安装
                     依赖: fcitx-data (>= 1:4.2.0) 但是它还没有被安装
                     依赖: fcitx-modules 但是它还没有被安装
                     依赖: qml-module-qtquick-controls (>= 5.5.1) 但是它还没有被安装
                     推荐: fcitx (>= 1:4.2.0) 但是它还没有被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt --fix-broken install”(也可以指定一个解决办法)。

解决办法:

apt --fix-broken install

然后重复

apt-get update && apt-get upgrade

等待完成后
安装输入法框架

apt-get install fcitx

安装谷歌输入法

apt-get install fcitx-googlepinyin

重启

reboot

配置
在2020中就可以使用了,在2019中配置一下

找到fcitx
配置我们安装的google拼音


擦肩而过的概率